(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(['exports', './utilities'], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require('./utilities'));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.utilities);
        global.isLessThan = mod.exports;
    }
})(this, function (exports, _utilities) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });

    exports.default = function (config) {
        return function (value) {
            return (0, _utilities.whenValueIs)(value, {
                lessThan: null,
                equalTo: config.message,
                greaterThan: config.message
            }, config.value);
        };
    };
});